diff --git a/tests/scripts/test000-rootdse b/tests/scripts/test000-rootdse
index 3e19695ccce3513098d7bf2293fa196b6b19347d..a5d50e7a79c29e365aa8507dde1f7eb8821cf4c9 100755
--- a/tests/scripts/test000-rootdse
+++ b/tests/scripts/test000-rootdse
@@ -49,11 +49,13 @@ if test $RC = 0 ; then
 
 fi
 
-if test $RC = 0 -a $MONITORDB = yes ; then
-	echo "Using ldapsearch to retrieve the cn=Monitor..."
-	$LDAPSEARCH -b "cn=Monitor" -s base -h $LOCALHOST -p $PORT1 \
-		'+extensibleObject' >> $SEARCHOUT 2>&1
-	RC=$?
+if test $RC = 0 ; then
+	if test $MONITORDB = yes -o $MONITORDB = mod ; then
+		echo "Using ldapsearch to retrieve the cn=Monitor..."
+		$LDAPSEARCH -b "cn=Monitor" -s base -h $LOCALHOST -p $PORT1 \
+			'+extensibleObject' >> $SEARCHOUT 2>&1
+		RC=$?
+	fi
 fi
 
 test $KILLSERVERS != no && kill -HUP $KILLPIDS